Status sidor
GET https://uptimeape.com/api/status-pages/
curl --request GET \
--url 'https://uptimeape.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeape.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrar | Detaljer | Beskrivning |
|---|---|---|
| search | Valfritt Sträng | Söksträngen. |
| search_by | Valfritt Sträng | Vilket fält söker du efter? Tillåtna värden är: name. |
| is_enabled | Valfritt Boolean | |
| project_id | Valfritt Heltal | |
| domain_id | Valfritt Heltal | |
| order_by | Valfritt Sträng | Vilket fält att sortera resultaten efter. Tillåtna värden är: status_page_id , datetime , last_datetime , name , pageviews. |
| order_type | Valfritt Sträng | Ordningen av resultaten. Tillåtna värden är: ASC för stigande ordning, och DESC för fallande ordning. |
| page | Valfritt Heltal | Sidanummeret som du vill ha resultat från. Standardinställning är 1. |
| results_per_page | Valfritt Heltal | Hur många resultat vill du ha per sida. Tillåtna värden är: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Standardvärde är 25. |
{
"data": [
{
"id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptimeape.com/s/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": ""
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-05-31 11:49:55",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimeape.com/api/status-pages?page=1",
"last": "https://uptimeape.com/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://uptimeape.com/api/status-pages?page=1"
}
}
GET https://uptimeape.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptimeape.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeape.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptimeape.com/s/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": ""
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-05-31 11:49:55",
}
}